TARGETS += vector-addition

CXX_FLAGS += -Ivectorization
 
VECTOR_ADDITION_OBJECTS = vectorization/vector-addition.o \
                          CPUCyclesCounter.o 

VECTOR_ADDITION_SOURCES = vectorization/vector-addition.cpp

OBJECTS += $(VECTOR_ADDITION_OBJECTS)

SOURCES += $(VECTOR_ADDITION_SOURCES)

MAKEFILES += vectorization/Makefile

vector-addition: $(VECTOR_ADDITION_OBJECTS)
	$(CXX) $(VECTOR_ADDITION_OBJECTS) $(LD_FLAGS) -o vector-addition




	